{
  "components": {
    "callbacks": {},
    "examples": {},
    "headers": {},
    "links": {},
    "parameters": {},
    "pathItems": {},
    "requestBodies": {},
    "responses": {},
    "schemas": {},
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "ContactOut",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "contactout": {
        "description": "",
        "title": "ContactOut",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "2e1d5e8dd2f49c993fe19ab26f040edbf0e5d2bd5ccf8ef24e1b6dd1731b01d7",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/contactout/companies-enrich",
      "/apis/v1/contactout/companies-search",
      "/apis/v1/contactout/get-linkedin-contact-info-batch",
      "/apis/v1/contactout/people-contact-personal",
      "/apis/v1/contactout/people-contact-phone",
      "/apis/v1/contactout/people-contact-work",
      "/apis/v1/contactout/people-decision-makers",
      "/apis/v1/contactout/people-decision-makers-reveal",
      "/apis/v1/contactout/people-email-enrich",
      "/apis/v1/contactout/people-enrich",
      "/apis/v1/contactout/people-enrich-personal-email",
      "/apis/v1/contactout/people-enrich-work-email",
      "/apis/v1/contactout/people-linkedin-enrich",
      "/apis/v1/contactout/people-linkedin-from-email",
      "/apis/v1/contactout/people-search",
      "/apis/v1/contactout/people-search-reveal"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:034cd5165dc1e7ee21f0faf86c7e5a9fae24c183e76aa4996fe3551d928838cb",
      "facts_hash": "2e1d5e8dd2f49c993fe19ab26f040edbf0e5d2bd5ccf8ef24e1b6dd1731b01d7",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "contactout"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/contactout/companies-enrich": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.02 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.companies-enrich",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "domains": [
                      "example"
                    ]
                  }
                },
                "minimal": {
                  "value": {
                    "domains": [
                      "example"
                    ]
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "domains": {
                    "items": {
                      "type": "string"
                    },
                    "maxItems": 30,
                    "minItems": 1,
                    "type": "array"
                  }
                },
                "required": [
                  "domains"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Enrich company domains",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-companies-enrich",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.02,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "df4dd67a43d8"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.companies-enrich",
          "path": "/apis/v1/contactout/companies-enrich"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/contactout/companies-enrich \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"domains\": [\n    \"example\"\n  ]\n}'"
          }
        ]
      }
    },
    "/apis/v1/contactout/companies-search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.5 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.companies-search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "domain": [
                      "example"
                    ],
                    "page": 1
                  }
                },
                "minimal": {
                  "value": {
                    "domain": [
                      "example"
                    ],
                    "page": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": false,
                "properties": {
                  "domain": {
                    "items": {
                      "type": "string"
                    },
                    "maxItems": 1,
                    "minItems": 1,
                    "type": "array"
                  },
                  "page": {
                    "maximum": 1,
                    "minimum": 1,
                    "type": "integer"
                  }
                },
                "required": [
                  "domain",
                  "page"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search companies",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-companies-search",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.5,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-upstream-origin-sha256": "ee07509144cafbd5e3d183b49ccff2d261749fdb61ea649e385bf9803e6d4e3d",
        "x-aisa-response-upstream-path-sha256": "8a9c28a51f0dc4317c434a2e039d74b69e6c89bff01c54b483091548008f1ce6",
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "b490d624ab4b"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.companies-search",
          "path": "/apis/v1/contactout/companies-search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/contactout/companies-search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"domain\": [\n    \"example\"\n  ],\n  \"page\": 1\n}'"
          }
        ]
      }
    },
    "/apis/v1/contactout/get-linkedin-contact-info-batch": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n当前未提供请求参考价格；请使用接口支持的报价功能确认费用。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.get-linkedin-contact-info-batch",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "additionalProperties": false,
                "properties": {
                  "email_type": {
                    "default": "work",
                    "enum": [
                      "work"
                    ],
                    "type": "string"
                  },
                  "include_phone": {
                    "default": false,
                    "enum": [
                      false
                    ],
                    "type": "boolean"
                  },
                  "profiles": {
                    "items": {},
                    "maxItems": 10,
                    "minItems": 1,
                    "type": "array"
                  }
                },
                "required": [
                  "profiles"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get LinkedIn Contact Info Batch",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-get-linkedin-contact-info-batch",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "estimate_source": "unavailable",
          "estimate_unavailable_reason": "reference_request_unavailable",
          "evidence_source": "response_body",
          "maximum_units": 10000000,
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-upstream-origin-sha256": "1c29f9f43adcd28c24873d500346e963a557cb3819ba15ea46cbbe38c3c6f4cc",
        "x-aisa-response-upstream-path-sha256": "88fe637beab867e285c088d60d6cc3b3a3bd3823dcabb84f087145eed24b8944",
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "541c4271fcd0",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a335bb6f4b73"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.get-linkedin-contact-info-batch",
          "path": "/apis/v1/contactout/get-linkedin-contact-info-batch"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime"
      }
    },
    "/apis/v1/contactout/people-contact-personal": {
      "get": {
        "description": "Set email_type explicitly as shown. Phone adds $0.25 only on a hit; never charged per phone/address in the returned array.\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.25 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-contact-personal",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "personal"
              },
              "minimal": {
                "value": "personal"
              }
            },
            "in": "query",
            "name": "email_type",
            "required": true,
            "schema": {
              "enum": [
                "personal"
              ],
              "minLength": 1,
              "type": "string"
            }
          },
          {
            "description": "Provider reference (supplier schema): `{\"default\":false,\"type\":\"boolean\"}`.",
            "examples": {
              "default": {
                "value": false
              },
              "minimal": {
                "value": false
              }
            },
            "in": "query",
            "name": "include_phone",
            "required": true,
            "schema": {
              "enum": [
                false
              ],
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "profile",
            "required": true,
            "schema": {
              "description": "Full regular LinkedIn profile URL; Sales Navigator and Recruiter URLs are not supported.",
              "examples": [
                "https://www.linkedin.com/in/YOUR-PROFILE"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get personal email, optionally phone from LinkedIn",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-contact-personal",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.25,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "c88b64b452bb"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-contact-personal",
          "path": "/apis/v1/contactout/people-contact-personal"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-contact-personal?email_type=personal&include_phone=false&profile=https%3A%2F%2Fwww.linkedin.com%2Fin%2FYOUR-PROFILE' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-contact-phone": {
      "get": {
        "description": "Set email_type explicitly as shown. Phone adds $0.25 only on a hit; never charged per phone/address in the returned array.\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.25 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-contact-phone",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "none"
              },
              "minimal": {
                "value": "none"
              }
            },
            "in": "query",
            "name": "email_type",
            "required": true,
            "schema": {
              "enum": [
                "none"
              ],
              "minLength": 1,
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": true
              },
              "minimal": {
                "value": true
              }
            },
            "in": "query",
            "name": "include_phone",
            "required": true,
            "schema": {
              "enum": [
                true
              ],
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "profile",
            "required": true,
            "schema": {
              "description": "Full regular LinkedIn profile URL; Sales Navigator and Recruiter URLs are not supported.",
              "examples": [
                "https://www.linkedin.com/in/YOUR-PROFILE"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get phone only from LinkedIn",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-contact-phone",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.25,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a8c97fad91e1"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-contact-phone",
          "path": "/apis/v1/contactout/people-contact-phone"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-contact-phone?email_type=none&include_phone=true&profile=https%3A%2F%2Fwww.linkedin.com%2Fin%2FYOUR-PROFILE' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-contact-work": {
      "get": {
        "description": "Set email_type explicitly as shown. Phone adds $0.25 only on a hit; never charged per phone/address in the returned array.\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.15 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-contact-work",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "work"
              },
              "minimal": {
                "value": "work"
              }
            },
            "in": "query",
            "name": "email_type",
            "required": true,
            "schema": {
              "enum": [
                "work"
              ],
              "minLength": 1,
              "type": "string"
            }
          },
          {
            "description": "Provider reference (supplier schema): `{\"default\":false,\"type\":\"boolean\"}`.",
            "examples": {
              "default": {
                "value": false
              },
              "minimal": {
                "value": false
              }
            },
            "in": "query",
            "name": "include_phone",
            "required": true,
            "schema": {
              "enum": [
                false
              ],
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "profile",
            "required": true,
            "schema": {
              "description": "Full regular LinkedIn profile URL; Sales Navigator and Recruiter URLs are not supported.",
              "examples": [
                "https://www.linkedin.com/in/YOUR-PROFILE"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Get work email, optionally phone from LinkedIn",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-contact-work",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.15,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "c7a76693ec1c"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-contact-work",
          "path": "/apis/v1/contactout/people-contact-work"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-contact-work?email_type=work&include_phone=false&profile=https%3A%2F%2Fwww.linkedin.com%2Fin%2FYOUR-PROFILE' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-decision-makers": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.5 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-decision-makers",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "minLength": 1,
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": 1
              },
              "minimal": {
                "value": 1
              }
            },
            "in": "query",
            "name": "page",
            "required": true,
            "schema": {
              "maximum": 1,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "examples": {
              "default": {
                "value": false
              },
              "minimal": {
                "value": false
              }
            },
            "in": "query",
            "name": "reveal_info",
            "required": true,
            "schema": {
              "enum": [
                false
              ],
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find company decision makers without revealing contacts",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-decision-makers",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.5,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-upstream-origin-sha256": "ee07509144cafbd5e3d183b49ccff2d261749fdb61ea649e385bf9803e6d4e3d",
        "x-aisa-response-upstream-path-sha256": "5bea4fbace465f7bde16e7c3446962b49efa1c896a8e14a95e5f33adcb0fca60",
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "701c71a4d913"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-decision-makers",
          "path": "/apis/v1/contactout/people-decision-makers"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-decision-makers?domain=example.com&page=1&reveal_info=false' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-decision-makers-reveal": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$16.75 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-decision-makers-reveal",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "minLength": 1,
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": 1
              },
              "minimal": {
                "value": 1
              }
            },
            "in": "query",
            "name": "page",
            "required": true,
            "schema": {
              "maximum": 1,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "examples": {
              "default": {
                "value": true
              },
              "minimal": {
                "value": true
              }
            },
            "in": "query",
            "name": "reveal_info",
            "required": true,
            "schema": {
              "enum": [
                true
              ],
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find company decision makers and reveal contacts",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-decision-makers-reveal",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 16.75,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-upstream-origin-sha256": "ee07509144cafbd5e3d183b49ccff2d261749fdb61ea649e385bf9803e6d4e3d",
        "x-aisa-response-upstream-path-sha256": "6db415f5a48d1ab9c94193e20018d5bbe86d5b35b9701d95211d940f051afdea",
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "68724ef81906"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-decision-makers-reveal",
          "path": "/apis/v1/contactout/people-decision-makers-reveal"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-decision-makers-reveal?domain=example.com&page=1&reveal_info=true' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-email-enrich": {
      "get": {
        "description": "May return personal email and phone; only work_email is a documented include selector. Returned input email is not a new contact reveal.\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.65 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-email-enrich",
        "parameters": [
          {
            "in": "query",
            "name": "email",
            "required": true,
            "schema": {
              "examples": [
                "support@contactout.com"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "include",
            "required": false,
            "schema": {
              "description": "Only documented include value; optional work email lookup.",
              "enum": [
                "work_email"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Enrich profile from email",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-email-enrich",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.65,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "736634873e1d"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-email-enrich",
          "path": "/apis/v1/contactout/people-email-enrich"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "provider",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-email-enrich?email=support%40contactout.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-enrich": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.02 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-enrich",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "include": []
                  }
                },
                "minimal": {
                  "value": {
                    "include": []
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "include": {
                    "enum": [
                      []
                    ],
                    "items": {
                      "type": "string"
                    },
                    "maxItems": 0,
                    "minItems": 0,
                    "type": "array"
                  }
                },
                "required": [
                  "include"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Enrich person by identifiers",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-enrich",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.02,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "c8c6b511c917"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.people-enrich",
          "path": "/apis/v1/contactout/people-enrich"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/contactout/people-enrich \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"include\": []\n}'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-enrich-personal-email": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.27 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-enrich-personal-email",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "include": [
                      "personal_email"
                    ]
                  }
                },
                "minimal": {
                  "value": {
                    "include": [
                      "personal_email"
                    ]
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "include": {
                    "enum": [
                      [
                        "personal_email"
                      ]
                    ],
                    "items": {
                      "type": "string"
                    },
                    "maxItems": 1,
                    "minItems": 1,
                    "type": "array"
                  }
                },
                "required": [
                  "include"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Enrich person with personal email",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-enrich-personal-email",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.27,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "1f1816d097fc"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.people-enrich-personal-email",
          "path": "/apis/v1/contactout/people-enrich-personal-email"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/contactout/people-enrich-personal-email \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"include\": [\n    \"personal_email\"\n  ]\n}'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-enrich-work-email": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.17 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-enrich-work-email",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "include": [
                      "work_email"
                    ]
                  }
                },
                "minimal": {
                  "value": {
                    "include": [
                      "work_email"
                    ]
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "include": {
                    "enum": [
                      [
                        "work_email"
                      ]
                    ],
                    "items": {
                      "type": "string"
                    },
                    "maxItems": 1,
                    "minItems": 1,
                    "type": "array"
                  }
                },
                "required": [
                  "include"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Enrich person with work email",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-enrich-work-email",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.17,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "95e199d0f597"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.people-enrich-work-email",
          "path": "/apis/v1/contactout/people-enrich-work-email"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/contactout/people-enrich-work-email \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"include\": [\n    \"work_email\"\n  ]\n}'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-linkedin-enrich": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.65 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-linkedin-enrich",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": false
              },
              "minimal": {
                "value": false
              }
            },
            "in": "query",
            "name": "profile_only",
            "required": true,
            "schema": {
              "enum": [
                false,
                true
              ],
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Enrich LinkedIn profile and contacts",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-linkedin-enrich",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.65,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-upstream-origin-sha256": "ee07509144cafbd5e3d183b49ccff2d261749fdb61ea649e385bf9803e6d4e3d",
        "x-aisa-response-upstream-path-sha256": "1597d6bfd427cf3cbe1bdd2642a00a28e32ca9d3270676c4f670aac8e5c02067",
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "f6f9cbefe1d3"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-linkedin-enrich",
          "path": "/apis/v1/contactout/people-linkedin-enrich"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-linkedin-enrich?profile_only=false' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-linkedin-from-email": {
      "get": {
        "description": "$0.06 per served call; rejected upstream requests are unbilled.\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.06 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-linkedin-from-email",
        "parameters": [
          {
            "in": "query",
            "name": "email",
            "required": true,
            "schema": {
              "examples": [
                "support@contactout.com"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find LinkedIn URL from email",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-linkedin-from-email",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.06,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "3aa0cf1aff7a"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "contactout.people-linkedin-from-email",
          "path": "/apis/v1/contactout/people-linkedin-from-email"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "provider",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/contactout/people-linkedin-from-email?email=support%40contactout.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.02 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "page_size": 1,
                    "reveal_info": false
                  }
                },
                "minimal": {
                  "value": {
                    "page_size": 1,
                    "reveal_info": false
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "page_size": {
                    "maximum": 25,
                    "minimum": 1,
                    "type": "integer"
                  },
                  "reveal_info": {
                    "enum": [
                      false
                    ],
                    "type": "boolean"
                  }
                },
                "required": [
                  "page_size",
                  "reveal_info"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search people without revealing contacts",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.02,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a61bd322ee3e"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.people-search",
          "path": "/apis/v1/contactout/people-search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/contactout/people-search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"page_size\": 1,\n  \"reveal_info\": false\n}'"
          }
        ]
      }
    },
    "/apis/v1/contactout/people-search-reveal": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.67 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "contactout.people-search-reveal",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "page_size": 1,
                    "reveal_info": true
                  }
                },
                "minimal": {
                  "value": {
                    "page_size": 1,
                    "reveal_info": true
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "page_size": {
                    "maximum": 25,
                    "minimum": 1,
                    "type": "integer"
                  },
                  "reveal_info": {
                    "enum": [
                      true
                    ],
                    "type": "boolean"
                  }
                },
                "required": [
                  "page_size",
                  "reveal_info"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search people and reveal contacts",
        "tags": [
          "ContactOut"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "contactout",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/contactout/contactout-people-search-reveal",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.67,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "0d7adf09af12"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "contactout.people-search-reveal",
          "path": "/apis/v1/contactout/people-search-reveal"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/contactout/people-search-reveal \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"page_size\": 1,\n  \"reveal_info\": true\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
